﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SampleExternalServiceAPI.BL
{
    public class TaxItem
    {
        [JsonIgnore]
        private decimal _subTotal = 0;

        public int OrderItemID;

        public List<TaxBase> OrderItemTaxes = new List<TaxBase>();

        public decimal TaxAmount = 0;

        public TaxItem(int orderItemID, decimal subTotal)
        {
            OrderItemID = orderItemID;
            _subTotal = subTotal;
        }

        public decimal AddTaxGetCalcuateAmount(int taxID, decimal taxPercentage)
        {
            TaxBase tempTaxBase = new TaxBase();
            tempTaxBase.TaxID = taxID;
            tempTaxBase.TaxAmount = _subTotal * taxPercentage;
            TaxAmount += tempTaxBase.TaxAmount;
            OrderItemTaxes.Add(tempTaxBase);

            return tempTaxBase.TaxAmount;
        }
    }
}